View Issue Details

IDProjectCategoryView StatusLast Update
0000043JamochaMUDUser Interfacepublic2005-11-20 16:05
ReporterjeffnikAssigned Tojeffnik 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2 rc2 
Summary0000043: ANSI parser does not correctly read all colour escapes
DescriptionThough the parser seems to work on some colour escapes with only two elements, it seems to fail with more complicated colour escapes, such as those found on SPR.
TagsNo tags attached.

Activities

jeffnik

2003-08-17 20:09

administrator   ~0000020

On SPR codes were being passed that turned the background and foreground colour to black and then added the bold attribute. One some telnet programs the "bold" attribute then turns the black into dark grey, as there are no bold fonts available. JamochaMUD on the other hand would change the font to bold. To alleviate this problem, JamochaMUD now checks to see if the foreground and background colours are the same. If so, the colour is shifted to appear, otherwise the font is made bold.

jeffnik

2003-08-21 00:54

administrator   ~0000021

Things seem far more operational now with the colour parser. Certainly other items will show up, but until then, let's mark this bug fixed!

jeffnik

2003-08-23 21:51

administrator   ~0000023

Bell character was not correctly handled.

jeffnik

2005-11-20 16:05

administrator   ~0000094

Some features may currently be unimplemented (such as "blink"), but JamochaMUD now correctly parses the colour information.

Issue History

Date Modified Username Field Change
2005-11-20 16:05 jeffnik Status feedback => resolved
2005-11-20 16:05 jeffnik Fixed in Version => 1.2 rc2
2005-11-20 16:05 jeffnik Resolution reopened => fixed
2005-11-20 16:05 jeffnik Note Added: 0000094